## grhino 0.16.0

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2006 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.
#
# Origin: gettext-0.16

PACKAGE = grhino
VERSION = 0.16.0
PACKAGE_BUGREPORT = 

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datarootdir = ${prefix}/share
datadir = ${datarootdir}
localedir = ${datarootdir}/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644

# We use $(mkdir_p).
# In automake <= 1.9.x, $(mkdir_p) is defined either as "mkdir -p --" or as
# "$(mkinstalldirs)" or as "$(install_sh) -d". For these automake versions,
# @install_sh@ does not start with $(SHELL), so we add it.
# In automake >= 1.10, /bin/mkdir -p is derived from ${MKDIR_P}, which is defined
# either as "/path/to/mkdir -p" or ".../install-sh -c -d". For these automake
# versions, $(mkinstalldirs) and $(install_sh) are unused.
mkinstalldirs = $(SHELL) @install_sh@ -d
install_sh = $(SHELL) @install_sh@
MKDIR_P = /bin/mkdir -p
mkdir_p = /bin/mkdir -p

GMSGFMT_ = /opt/gettext-0.16/bin/msgfmt
GMSGFMT_no = /opt/gettext-0.16/bin/msgfmt
GMSGFMT_yes = /opt/gettext-0.16/bin/msgfmt
GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
MSGFMT_ = /opt/gettext-0.16/bin/msgfmt
MSGFMT_no = /opt/gettext-0.16/bin/msgfmt
MSGFMT_yes = /opt/gettext-0.16/bin/msgfmt
MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
XGETTEXT_ = /opt/gettext-0.16/bin/xgettext
XGETTEXT_no = /opt/gettext-0.16/bin/xgettext
XGETTEXT_yes = /opt/gettext-0.16/bin/xgettext
XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /opt/gettext-0.16/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  en_GB.po
GMOFILES =  en_GB.gmo
UPDATEPOFILES =  en_GB.po-update
DUMMYPOFILES =  en_GB.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../alphabeta.cc \
     ../alphabeta.h \
     ../binfile.cc \
     ../binfile.h \
     ../bitboard.cc \
     ../bitboard.h \
     ../board.cc \
     ../board.h \
     ../boardio.cc \
     ../boardio.h \
     ../book.cc \
     ../book.h \
     ../config.h \
     ../dump_pattern.cc \
     ../game.cc \
     ../game.h \
     ../gameinfo.cc \
     ../gameinfo.h \
     ../gen_book.cc \
     ../gen_opening.cc \
     ../gen_pattern.cc \
     ../gen_table.cc \
     ../gpref.cc \
     ../gpref.h \
     ../grhino.cc \
     ../gtstream.h \
     ../gtstream.cc \
     ../hash.cc \
     ../hash.h \
     ../iter.cc \
     ../iter.h \
     ../log_proc.h \
     ../opening.cc \
     ../opening-dat.h \
     ../opening.h \
     ../order.cc \
     ../order.h \
     ../parity.cc \
     ../parity.h \
     ../pattern.cc \
     ../pattern.h \
     ../proginfo.cc \
     ../proginfo.h \
     ../rand.cc \
     ../rand.h \
     ../randboard.cc \
     ../randboard.h \
     ../table-dat.h \
     ../test.cc

CATALOGS =  en_GB.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = grhino

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = Free Software Foundation, Inc.

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = lerdsuwa@users.sourceforge.net

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-create .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# $(srcdir)/$(DOMAIN).pot is only created when needed. When xgettext finds no
# internationalized messages, no $(srcdir)/$(DOMAIN).pot is created (because
# we don't want to bother translators with empty POT files). We assume that
# LINGUAS is empty in this case, i.e. $(POFILES) and $(GMOFILES) are empty.
# In this case, stamp-po is a nop (i.e. a phony target).

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test ! -f $(srcdir)/$(DOMAIN).pot || \
	  test -z "$(GMOFILES)" || $(MAKE) $(GMOFILES)
	@test ! -f $(srcdir)/$(DOMAIN).pot || { \
	  echo "touch stamp-po" && \
	  echo timestamp > stamp-poT && \
	  mv stamp-poT stamp-po; \
	}

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	if test -n '$(MSGID_BUGS_ADDRESS)' || test '$(PACKAGE_BUGREPORT)' = '@'PACKAGE_BUGREPORT'@'; then \
	  msgid_bugs_address='$(MSGID_BUGS_ADDRESS)'; \
	else \
	  msgid_bugs_address='$(PACKAGE_BUGREPORT)'; \
	fi; \
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address="$$msgid_bugs_address"
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	if test -f "$(srcdir)/$${lang}.po"; then \
	  test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	  echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	  cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot; \
	else \
	  $(MAKE) $${lang}.po-create; \
	fi


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkdir_p) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkdir_p) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \

=== debian/changelog ===
grhino (0.16.0-5) unstable; urgency=low

  * grhino-data conflicts with grhino << 0.16.0-4 (Closes: #561523)
  * Bump Standards Version to 3.8.3
  * Switch to 3.0 (quilt) source format:
    - Switch to quilt
    - Add debian/source/format
    - Remove patching/unpatching code in debian/rules

 -- Vincent Legout <vincent@legout.info>  Thu, 31 Dec 2009 16:14:38 +0100

grhino (0.16.0-4) unstable; urgency=low

  * New maintainer:
    - Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
  * debian/control:
    - Remove the circular dependency between grhino and grhino-data
    (Closes: #519146)
    - Bump Standards Version to 3.8.2. (No changes needed)
    - Add ${misc:Depends} in grhino and grhino-data
    - Add myself to Uploaders
    - Add VCS fields
    - Add Suggests on yelp
  * debian/copyright: Moved to DEP-5
  * debian/watch: Updated
  * debian/rules: Add LDFLAGS to reduce the number of Depends

 -- Vincent Legout <vincent@legout.info>  Sat, 20 Jun 2009 12:07:16 +0200

grhino (0.16.0-3) unstable; urgency=low

  * New maintainer
  * Splited package into grhino and grhino-data
  * debian/control:
    - Updated Standards-Version to 3.8.0
    - Added Homepage field
  * debian/copyright: Updated
  * debian/patches/03_desktop_file.diff: Removed Encoding
  * Added manpages for grhino and gtp-rhino

 -- Vincent Legout <vincent@legout.info>  Fri, 05 Sep 2008 09:49:18 +0200

grhino (0.16.0-2) unstable; urgency=low

  * debian/patches/02_gcc_4_3.diff: Added.  Closes: #417215.  Patch by Martin
    Michlmayr <tbm@cyrius.com>, thanks.

 -- Bart Martens <bartm@knars.be>  Mon,  2 Apr 2007 20:38:09 +0200

grhino (0.16.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Added scrollkeeper to Build-Depends.
  * debian/copyright: Updated.
  * debian/install: Updated to install the .desktop file.
  * debian/rules: Completed clean rule.

 -- Bart Martens <bartm@knars.be>  Sun, 18 Mar 2007 20:17:39 +0100

grhino (0.15.2-3) unstable; urgency=low

  * debian/control, debian/rules: Use aclocal and autoheader, and update
    po/Makefile.in.in.  Closes: #404735.  Thanks to Kurt Roeckx
    <kurt@roeckx.be>.
  * debian/copyright: Updated for 2007.

 -- Bart Martens <bartm@knars.be>  Sat, 27 Jan 2007 10:40:00 +0100

grhino (0.15.2-2) unstable; urgency=low

  * debian/rules: Regenerate configure.
  * debian/rules, debian/control, debian/install, debian/menu: Menu icon.

 -- Bart Martens <bartm@knars.be>  Sat, 30 Dec 2006 17:14:00 +0100

grhino (0.15.2-1) unstable; urgency=low

  * Initial release.  Closes: #400193.

 -- Bart Martens <bartm@knars.be>  Fri, 24 Nov 2006 13:08:05 +0100

=== debian/control ===
Source: grhino
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Legout <vincent@legout.info>
Build-Depends: cdbs, debhelper (>= 5), autotools-dev, libgtk2.0-dev, libgnome2-dev, libgnomeui-dev, imagemagick, autoconf (>= 2.61-3), automake1.9 (>= 1.9.6+nogfdl-3), gettext (>= 0.16.1), scrollkeeper, quilt
Standards-Version: 3.8.3
Homepage: http://rhino.sourceforge.net/
Vcs-Git: git://git.debian.org/git/pkg-games/grhino.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/grhino.git

Package: grhino
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, grhino-data (= ${source:Version})
Suggests: quarry, yelp
Description: othello/reversi boardgame
 grhino, or rhino its former name, is an Othello/Reversi game.  What
 distinguish grhino from most other Othello games is that grhino is
 targeted for experienced Othello players. Strong AI is the main focus.
 Its AI can be used with quarry.

Package: grhino-data
Architecture: all
Depends: ${misc:Depends}
Suggests: quarry
Conflicts: grhino (<< 0.16.0-4)
Replaces: grhino (<< 0.16.0-4)
Description: othello/reversi boardgame - data-files
 grhino, or rhino its former name, is an Othello/Reversi game.  What
 distinguish grhino from most other Othello games is that grhino is
 targeted for experienced Othello players. Strong AI is the main focus.
 Its AI can be used with quarry.
 .
 This package contains the data files needed by grhino.

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_AUTOCONF := 2.61
DEB_AUTO_UPDATE_AUTOHEADER := 2.61
DEB_AUTO_UPDATE_ACLOCAL := 1.9

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

export LDFLAGS=-Wl,-z,defs -Wl,--as-needed

DEB_CONFIGURE_EXTRA_FLAGS += --bindir=/usr/games

TOSAVE := aclocal.m4 configure acinclude.m4 po/Makefile.in.in config.h.in

update-config::
	for f in $(TOSAVE) ; do [ -e $$f.debian-rules-orig ] || cp -rpv $$f $$f.debian-rules-orig ; done
	cp -fv /usr/share/gettext/po/Makefile.in.in po/Makefile.in.in
	[ -e grhino_icon_menu.xpm ] || convert -resize 32x32 icon_new.xpm grhino_icon_menu.xpm
	cd acinclude.m4 && for f in *.m4 ; do [ ! -e /usr/share/aclocal/$$f ] || cp -fv /usr/share/aclocal/$$f $$f ; done

reverse-config::
	for f in $(TOSAVE) ; do [ ! -e $$f.debian-rules-orig ] || ( rm -rf $$f && mv -v $$f.debian-rules-orig $$f ) ; done
	rm -f grhino_icon_menu.xpm

clean::
	rm -f po/en_GB.gmo po/stamp-po
	rm -f desktop/grhino.desktop

restore-cruft:
	for f in po/Makefile po/Makefile.in po/POTFILES po/remove-potcdate.sed ; do \
		rm -f $$f ; \
		cp -p ../orig/*/$$f $$f ; \
	done

## grhino 0.16.1

=== po/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Origin: gettext-0.16
 
 PACKAGE = grhino
-VERSION = 0.16.0
+VERSION = 0.16.1
 PACKAGE_BUGREPORT = 
 
 SHELL = /bin/sh
@@ -21,7 +21,7 @@
 top_srcdir = ..
 
 
-prefix = /usr
+prefix = /usr/local
 exec_prefix = ${prefix}
 datarootdir = ${prefix}/share
 datadir = ${datarootdir}
@@ -43,20 +43,20 @@
 MKDIR_P = /bin/mkdir -p
 mkdir_p = /bin/mkdir -p
 
-GMSGFMT_ = /opt/gettext-0.16/bin/msgfmt
-GMSGFMT_no = /opt/gettext-0.16/bin/msgfmt
-GMSGFMT_yes = /opt/gettext-0.16/bin/msgfmt
+GMSGFMT_ = /usr/bin/msgfmt
+GMSGFMT_no = /usr/bin/msgfmt
+GMSGFMT_yes = /usr/bin/msgfmt
 GMSGFMT = $(GMSGFMT_$(USE_MSGCTXT))
-MSGFMT_ = /opt/gettext-0.16/bin/msgfmt
-MSGFMT_no = /opt/gettext-0.16/bin/msgfmt
-MSGFMT_yes = /opt/gettext-0.16/bin/msgfmt
+MSGFMT_ = /usr/bin/msgfmt
+MSGFMT_no = /usr/bin/msgfmt
+MSGFMT_yes = /usr/bin/msgfmt
 MSGFMT = $(MSGFMT_$(USE_MSGCTXT))
-XGETTEXT_ = /opt/gettext-0.16/bin/xgettext
-XGETTEXT_no = /opt/gettext-0.16/bin/xgettext
-XGETTEXT_yes = /opt/gettext-0.16/bin/xgettext
+XGETTEXT_ = /usr/bin/xgettext
+XGETTEXT_no = /usr/bin/xgettext
+XGETTEXT_yes = /usr/bin/xgettext
 XGETTEXT = $(XGETTEXT_$(USE_MSGCTXT))
 MSGMERGE = msgmerge
-MSGMERGE_UPDATE = /opt/gettext-0.16/bin/msgmerge --update
+MSGMERGE_UPDATE = /usr/bin/msgmerge --update
 MSGINIT = msginit
 MSGCONV = msgconv
 MSGFILTER = msgfilter
@@ -145,7 +145,7 @@
 # or entity, or to disclaim their copyright.  The empty string stands for
 # the public domain; in this case the translators are expected to disclaim
 # their copyright.
-COPYRIGHT_HOLDER = Free Software Foundation, Inc.
+COPYRIGHT_HOLDER = Kriang Lerdsuwanakij <lerdsuwa@users.sourceforge.net>
 
 # This is the email address or URL to which the translators shall report
 # bugs in the untranslated strings:
@@ -328,3 +328,9 @@
 installdirs-data: installdirs-data-yes
 	if test "$(PACKAGE)" = "gettext-tools"; then \
 	  $(mkdir_p) $(DESTDIR)$(gettextsrcdir); \
+	else \
+	  : ; \
+	fi
+installdirs-data-no:
+installdirs-data-yes:
+	$(mkdir_p) $(DESTDIR)$(datadir)

=== debian/changelog ===
grhino (0.16.1-5) unstable; urgency=medium

  * Team upload.
  * Drop gtk2 dependencies. (Closes: #967457)
  * Use secure URI in Homepage field.
  * Update standards version to 4.1.5, no changes needed.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Remove constraints unnecessary since buster (oldstable):
    + grhino-data: Drop conflict with removed package grhino (<< 0.16.1-2) in
      Replaces.
    + grhino-data: Drop conflict with removed package grhino (<< 0.16.1-2) in
      Breaks.

 -- Bastian Germann <bage@debian.org>  Mon, 14 Aug 2023 01:44:14 +0200

grhino (0.16.1-4) unstable; urgency=medium

  * Team upload.
  * Disable GNOME 2 frontend. (Closes: #885624, 886070)
  * wrap-and-sort -sa.
  * Switch to compat level 10. In compat level 11
    dh_auto_configure passes --runstatedir=/run to ./configure.
    This causes a FTBFS.
  * Build without autoreconf because the build system is not ready.
  * Drop deprecated menu file and xpm icon.
  * Use https for Format field.
  * Declare compliance with Debian Policy 4.1.4.
  * Use https for Vcs fields.
  * Depend on quarry to make grhino useful. Remove Suggests: yelp.

 -- Markus Koschany <apo@debian.org>  Thu, 19 Apr 2018 13:40:48 +0200

grhino (0.16.1-3) unstable; urgency=low

  * Update VCS fields to use anonscm.debian.org
  * Use absolute icon path in menu file (Closes: #726360)
  * Standards-Version 3.9.4

 -- Vincent Legout <vlegout@debian.org>  Sun, 20 Oct 2013 09:39:18 +0200

grhino (0.16.1-2) unstable; urgency=low

  * Use my debian.org email address
  * Remove the DM-Upload-Allowed field
  * Update manpages section from 1 to 6. Rename grhino.1 and gtp-rhino.1 to
    grhino.6 and gtp-rhino.6.
  * Standards-Version 3.9.3 (No changes needed)
  * Use debhelper 9
  * Enable hardening flags in debian/rules
    - Add 02_hardening_flags.patch: Fix build with -Werror=format-security
  * debian/copyright: Use copyright format 1.0
  * Move architecture independent files from grhino to grhino-data. Update
    Breaks and Replaces fields accordingly for grhino-data.

 -- Vincent Legout <vlegout@debian.org>  Tue, 27 Mar 2012 20:25:29 +0200

grhino (0.16.1-1) unstable; urgency=low

  [ Vincent Legout ]
  * New upstream release:
    - 02_gcc_4_3.diff, 03_desktop_file.diff: Removed, merged upstream
  * Bump Standards-Version to 3.9.1
    - Use Breaks instead of Conflicts
  * Switch to debhelper 8
    - debian/compat: Update to 8
    - Remove Build-Depends on quilt, cdbs, autoconf, automake1.9 and gettext
    - Build-Depends on debhelper (>= 8)
    - Rewrite debian/rules
    - debian/grhino.docs, debian/clean: Added
  * debian/copyright: Updated
  * debian/patches: DEP3 headers should not start with #

  [ Ansgar Burchardt ]
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Vincent Legout <vincent@legout.info>  Tue, 15 Mar 2011 19:51:20 +0100

=== debian/control ===
Source: grhino
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Vincent Legout <vlegout@debian.org>
Build-Depends:
 debhelper (>= 10),
Standards-Version: 4.1.5
Homepage: https://rhino.sourceforge.net/
Vcs-Git: https://salsa.debian.org/games-team/grhino.git
Vcs-Browser: https://salsa.debian.org/games-team/grhino

Package: grhino
Architecture: any
Depends:
 grhino-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 quarry
Description: othello/reversi boardgame
 grhino, or rhino its former name, is an Othello/Reversi game.  What
 distinguish grhino from most other Othello games is that grhino is
 targeted for experienced Othello players. Strong AI is the main focus.
 Its AI can be used with quarry.

Package: grhino-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 quarry
Description: othello/reversi boardgame - data-files
 grhino, or rhino its former name, is an Othello/Reversi game.  What
 distinguish grhino from most other Othello games is that grhino is
 targeted for experienced Othello players. Strong AI is the main focus.
 Its AI can be used with quarry.
 .
 This package contains the data files needed by grhino.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

TOSAVE := po/Makefile po/Makefile.in po/remove-potcdate.sed

%:
	dh $@ --without autoreconf

override_dh_auto_configure:
	for f in $(TOSAVE) ; \
		do [ -e $$f.debian-rules-orig ] || cp -rpv $$f $$f.debian-rules-orig ; \
	done
	dh_auto_configure -- \
		--bindir=/usr/games \
		--disable-gnome

override_dh_auto_clean:
	[ ! -e Makefile ] || $(MAKE) clean
	for f in $(TOSAVE) ; \
		do [ ! -e $$f.debian-rules-orig ] || ( rm -rf $$f && mv -v $$f.debian-rules-orig $$f ) ; \
	done
